Subject: Re: bug#19404: 25.0.50; Gnus shows self-signed certificate warning when connecting to Gmane

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Dec 2014 19:56:52 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 18 Dec 2014 18:53:07 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > OK, let me rephrase: How can a user, a mere mortal, like myself or
> > Dmitry, tell that this certificate is OK, while the one I was
> > presented in my problem is not?
> 
> That's not generally possible.

Too bad.

> Unfortunately there's no difference between a certificate signed by
> a CA that you don't happen to have in your CA bundle, and a
> self-signed certificate.  Unless I've misunderstood something.
> 
> I think that's one of many unfortunate design choices made when the
> certificate system was set up.
> 
> So the "(self-signed)" string we have in our warnings should perhaps be
> changed to "(possibly self-signed)".

Is this text returned by GnuTLS, or do we produce it in Emacs?  If the
latter, can _we_ somehow distinguish between the two cases and add
some text to that effect?